Subject: Re: bug#350: ido-mode not compatible with url-handler-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Jul 2013 19:48:00 -0400

>> No, it should be fixed instead.  The fix is pretty simple: make
>> url-file-name-completion and url-file-name-all-completions return
>> a valid value which represents the fact that we don't know what could be
>> the completions ("everything could be a valid completion") instead of
>> signaling an error.
> Do you mean removing all of the following in url-handlers.el?

You could start with that and see how it behaves (maybe it won't work
right either since it would presumably call those functions with the URL
as if it were a local file, better might be to keep the code but make
the functions return a "correct" value).

> Also, url-handler-regexp and tramp's syntax seems colliding.

Never had a problem with that.

        Stefan